# Share or download transformation of an Assets. Transform asset and download or share transformation with an email. If email is available then this API will share link (send email) of transformed file. Note: Access to this API Service is currently limited. Contact Tenovos Customer Support to inquire further about access to this API Service if needed. Endpoint: POST /asset/transform Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" - `X-API-Verification-Key` (string, required) Additional Customer-specific API verification key to limit access to this API. ## Request fields (application/json): - `transformations` (array) - `transformations.objectId` (string) Object Id of the Asset Example: "9f23f1d5-44c1-4b69-8f66-8f0fd03b62c7" - `transformations.expiration` (integer) expiry of presigned url Example: 3600 - `transformations.source` (string) name of the rendition to be used in transformation Example: "imagePreviewLarge" - `transformations.includeOriginal` (boolean) Whether original asset should be included in result or not - `transformations.transformations` (string) Transformation name Example: "png" - `recipients` (string) A list of emails of users to share assets with - `shareMessage` (string) An email message. Example: "A message from sender to recipient" ## Response 200 fields (application/json): - `jobId` (string) Id of the Job created for the transformation Example: "f8479fef-c389-4b15-9736-e5dd7b35d8d3" - `status` (string) status of the request, success or failure Example: "success" - `message` (string) Example: "Message sent successfully" ## Response 403 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Message"